Create Event
curl --request POST \
--url https://platform.groundforge.ai/v1/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenant_id": "<string>",
"principal_id": "<string>",
"resource_type": "<string>",
"resource_ref": "<string>",
"action": "<string>",
"outcome": "<string>",
"session_id": "<string>",
"id": "<string>",
"principal_type": "service",
"reason": "<string>",
"request_id": "<string>",
"trace_id": "<string>",
"before_json": {},
"after_json": {},
"created_at_ms": 123
}
'import requests
url = "https://platform.groundforge.ai/v1/events"
payload = {
"tenant_id": "<string>",
"principal_id": "<string>",
"resource_type": "<string>",
"resource_ref": "<string>",
"action": "<string>",
"outcome": "<string>",
"session_id": "<string>",
"id": "<string>",
"principal_type": "service",
"reason": "<string>",
"request_id": "<string>",
"trace_id": "<string>",
"before_json": {},
"after_json": {},
"created_at_ms": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tenant_id: '<string>',
principal_id: '<string>',
resource_type: '<string>',
resource_ref: '<string>',
action: '<string>',
outcome: '<string>',
session_id: '<string>',
id: '<string>',
principal_type: 'service',
reason: '<string>',
request_id: '<string>',
trace_id: '<string>',
before_json: {},
after_json: {},
created_at_ms: 123
})
};
fetch('https://platform.groundforge.ai/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Create Event
POST
/
v1
/
events
Create Event
Authorizations
bearerAuthapiKeyAuth
OIDC access token for users and CLI clients.
Body
application/json
Available options:
user, service, serviceAccount Response
Successful Response
Last modified on July 29, 2026
⌘I

